/*  
 *  Tuxland - Jeu de plateforme en Java (tm)
 *  Copright (c) 2005 Philippe Bousquet (Darken33@free.fr)
 * 
 *  ---------------------------------------------
 *  IMPORTANT : 
 *    Ce jeu est bas sur le jeu Zlob 
 *    Copyright (C) 2001 Pascal "Toweld" Bourut (toweld@planetelibre.org)
 *  ---------------------------------------------
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package darken.games.tuxland;

import java.awt.Point;

import darken.games.utils.*;

/**
 * XBill - Ennemi de Tux ce deplaant de droite a gauche
 * @author Philippe Bousquet (Darken33@free.fr)
 * @version 0.1.0
 */
public class XBill extends Enemy 
{
    private int direction = Params.LEFT;

    /**
     * XBill - Constructeur
     * @param name nom/id de l'ennemi
     * @param x position X
     * @param y position Y
     * @param orientation Orientation
     */
    public XBill(String name, int x, int y, int orientation)
    {
	  super(name,x,y,orientation);
    } 

    /**
     * autoMove : Dplacer automatiquement XBill
     */
    public void autoMove()
    {
	  Point p = getMapPosition();
	  int direction = getXOrientation();
	  if ((isStopMonster(p.x+2*direction,p.y)) || (isSolid(p.x+2*direction,p.y)) || (isEmpty(p.x+direction,p.y+1))) direction=-direction;
	  if(direction == Params.LEFT) walkLeft();
	  else walkRight();
    } 
}
